<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!--CONFIGIURACION DEL FRAMEWORK-->
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="COE.WINDOWS.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
  </startup>
  <!--CONFIGURACION DE LAS VARIABLES DEL SISTEMA-->
  <appSettings>
    <add key="Usuario" value="admin" />
    <add key="EmisorRuc" value="20492883281" />
    <add key="Skin" value="DevExpress Style" />
    <add key="FuenteSize" value="8" />
    <add key="FuenteStyle" value="0" />
    <add key="FuenteName" value="Tahoma" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <!--CONFIGURACION DEL SERVICIO DE LA SUNAT -->
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <userSettings>
    <COE.WINDOWS.My.MySettings>
      <setting name="Setting" serializeAs="String">
        <value>ERTE</value>
      </setting>
      <setting name="Setting1" serializeAs="String">
        <value>YTY</value>
      </setting>
    </COE.WINDOWS.My.MySettings>
  </userSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.2" newVersion="7.0.0.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <AppContextSwitchOverrides value="Switch.System.Security.Cryptography.Xml.UseInsecureHashAlgorithms=true; Switch.System.Security.Cryptography.Pkcs.UseInsecureHashAlgorithms=true" />
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.WindowsAzure.Storage" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.3.2.0" newVersion="9.3.2.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <!--SERVIDORES OSE BIZLINK-->
        <binding name="bizlinksOSESoapBinding" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:05:00" sendTimeout="00:05:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxBufferSize="65536" maxReceivedMessageSize="65536" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true" messageEncoding="Text">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="Transport">
            <transport clientCredentialType="None" proxyCredentialType="None" realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
        <!--SERVIDORES SUNAT-->
        <binding name="BillServicePortBinding" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:05:00" sendTimeout="00:05:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxBufferSize="65536" maxReceivedMessageSize="65536" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true" messageEncoding="Text">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <security mode="Transport">
            <transport clientCredentialType="None" proxyCredentialType="None" realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <!--SERVIDORES OSE BIZLINK-->
      <!--TESTING <endpoint address="https://testose2.bizlinks.com.pe/ol-ti-itcpe/billService" binding="basicHttpBinding" bindingConfiguration="bizlinksOSESoapBinding" contract="Sunat2SE.BizlinksOSE" name="BizlinksOSEPort" />-->
      <!--PRODUCCION <endpoint address=" https://ose.bizlinks.com.pe/ol-ti-itcpe/billService" binding="basicHttpBinding" bindingConfiguration="bizlinksOSESoapBinding" contract="Sunat2SE.BizlinksOSE" name="BizlinksOSEPort" />-->
      <endpoint address="https://testose2.bizlinks.com.pe/ol-ti-itcpe/billService" binding="basicHttpBinding" bindingConfiguration="bizlinksOSESoapBinding" contract="Sunat2SE.BizlinksOSE" name="BizlinksOSEPort" />
      <!--SERVIDORES SUNAT PARA COMPROBANTES DE VENTA-->
      <!--TESTING "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService"-->
      <!--PRODUCCION "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"-->
      <endpoint address="https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService" binding="basicHttpBinding" bindingConfiguration="BillServicePortBinding" contract="SunatSE.billService" name="BillServicePort" />
      <!--SERVIDORES SUNAT PARA OBTENER EL CDR-->
      <!--URL-1 "https://www.sunat.gob.pe:443/ol-it-wsconscpegem/billConsultService"-->
      <!--URL-2 "https://e-factura.sunat.gob.pe/ol-it-wsconscpegem/billConsultService"-->
      <endpoint address="https://e-factura.sunat.gob.pe/ol-it-wsconscpegem/billConsultService" binding="basicHttpBinding" bindingConfiguration="BillServicePortBinding" contract="SunatCDRSE.billService" name="BillConsultServicePort" />
      <!--SERVIDORES SUNAT PARA Retenciones (20) y Percepciones (40)-->
      <!--TESTING     "https://e-beta.sunat.gob.pe/ol-ti-itemision-otroscpe-gem-beta/billService"-->
      <!--PRODUCCION  "https://e-factura.sunat.gob.pe/ol-ti-itemision-otroscpe-gem/billService"-->
      <endpoint address="https://e-beta.sunat.gob.pe/ol-ti-itemision-otroscpe-gem-beta/billService" binding="basicHttpBinding" bindingConfiguration="BillServicePortBinding" contract="Sunat3SE.billService" name="BillServicePort" />
    </client>
  </system.serviceModel>
</configuration>